Indexers - Resync

Resync selective options from the datasource to be re-ingested by the indexer."

POST {endpoint}/indexers('{indexerName}')/search.resync?api-version=2026-08-01-preview

URI Parameters

Name In Required Type Description
endpoint
path True

string (uri)

The endpoint URL of the search service.

indexerName
path True

string

The name of the indexer.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Header

Name Required Type Description
Accept

Accept

The Accept header.

x-ms-client-request-id

string (uuid)

An opaque, globally-unique, client-generated string identifier for the request.

Request Body

Name Type Description
options

IndexerResyncOption[]

Re-sync options that have been pre-defined from data source.

Responses

Name Type Description
204 No Content

There is no content to send for this request, but the headers may be useful.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

api-key

Type: apiKey
In: header

OAuth2Auth

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/v2.0/authorize

Scopes

Name Description
https://search.azure.com/.default

Examples

SearchServiceResync

Sample request

POST https://typespecpreviewexampleservice.search.windows.net/indexers('myaclindexer')/search.resync?api-version=2026-08-01-preview



{
  "options": [
    "permissions"
  ]
}

Sample response

Definitions

Name Description
Accept

The Accept header.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).

IndexerResyncBody

Request body for resync indexer operation.

IndexerResyncOption

Options with various types of permission data to index.

Accept

The Accept header.

Value Description
application/json;odata.metadata=minimal

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

searchservice.indexers.resync

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).

Name Type Description
error

ErrorDetail

The error object.

IndexerResyncBody

Request body for resync indexer operation.

Name Type Description
options

IndexerResyncOption[]

Re-sync options that have been pre-defined from data source.

IndexerResyncOption

Options with various types of permission data to index.

Value Description
permissions

Indexer to re-ingest pre-selected permissions data from data source to index.